%define upstream_name HTTP_Session
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.6
Release:     	%mkrel 6
Summary:    	Object-oriented interface to the session_* family functions
License: 	PHP Licence
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_Session-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_Session
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Object-oriented interface to the session_* family functions.
It provides extra features such as database storage for
session data using the DB, MDB, and MDB2 package as well as the Memcache
extension. It introduces new methods
like isNew(), useCookies(), setExpire(), setIdle(),
isExpired(), isIdled() and others.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_Session.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_Session.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_Session
fi

%files
%doc docs/HTTP_Session/*
%{peardir}/*
%{xmldir}/HTTP_Session.xml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-6.mga5
+ Revision: 742504
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.5.6-5.mga5
+ Revision: 734050
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-4.mga5
+ Revision: 687298
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.6-3.mga4
+ Revision: 516876
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 376330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.5.6-1.mga2
+ Revision: 219560
- upgrade to 0.5.6
  pearized spec

* Fri Jan 28 2011 spuhler <spuhler> 0.5.5-6.mga1
+ Revision: 42603
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Session


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.5-6mdv2011.0
+ Revision: 613685
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.5-5mdv2010.1
+ Revision: 477898
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.5-4mdv2010.0
+ Revision: 441187
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.5-3mdv2009.1
+ Revision: 322129
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.5-2mdv2009.0
+ Revision: 236888
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.5-1mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.5-1mdv2008.0
+ Revision: 15678
- 0.5.5


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-1mdv2007.0
+ Revision: 81835
- Import php-pear-HTTP_Session

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-1mdk
- 0.5.2

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdk
- 0.5.1
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdk
- initial Mandriva package (PLD import)

